local shot_x, shot_y = EntityGetTransform(GetUpdatedEntityID())

SetRandomSeed(shot_x, shot_y)

local maggots = {
	"maggot_firebug_gold",
	"maggot_firebug",
	"maggot_spider",
	"maggot_white",
}

for i = 1, Random(3, 6) do
	EntityLoad("mods/lewd_noita/files/enemies/" .. maggots[Random(1, 4)] .. ".xml", shot_x, shot_y)
end